#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import os

here = os.path.dirname(__file__)
version_file = os.path.join(here, '..', 'VERSION')


def read(file_path):
    return open(file_path).read()

project = 'App Clean Design'
copyright = '2017, Łukasz Żukowski, under the MIT license'
author = 'Łukasz Żukowski'
version = read(version_file)
release = version
intersphinx_mapping = {
    'https://docs.python.org/': None,
}

extensions = [
    'sphinx.ext.autodoc',
    'sphinx.ext.doctest',
    'sphinx.ext.intersphinx',
]

exclude_patterns = ['_build', 'Thumbs.db', '.DS_Store']
source_suffix = '.rst'
master_doc = 'index'
pygments_style = 'sphinx'
language = None
todo_include_todos = False

htmlhelp_basename = 'AppCleanDesigndoc'
html_theme = 'alabaster'
html_domain_indices = True
